Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Gelöst] Installation von Programmen schlägt fehl - Gimp
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
mptaiko
n00b
n00b


Joined: 05 Jan 2019
Posts: 33

PostPosted: Sun Jan 13, 2019 8:57 am    Post subject: [Gelöst] Installation von Programmen schlägt fehl - Gimp Reply with quote

Da ich mit einer Woche Gentoo-Nutzung noch zu den jungen und unerfahrenen Usern dieser Distribution gehöre, muss ich eine Frage loswerden, bei der ich trotz Recherche noch nicht wirklich weitergekommen bin.

Ich wollte Gimp mit
Code:
emerge -av media-gfx/gimp
installieren. Zwei Pakete weigern sich strikt auf die Platte zu wandern.
Der Biuld-log für media-libs/gegl
Quote:
micha@fritz ~ % emerge -pqv '=media-libs/gegl-0.2.0-r5::gentoo'
+/bin/zsh:2> emerge -pqv '=media-libs/gegl-0.2.0-r5::gentoo'
[ebuild N ] media-libs/gegl-0.2.0-r5 USE="cairo jpeg png sdl svg -debug -ffmpeg -jpeg2k -lensfun -libav -openexr -raw -umfpack" CPU_FLAGS_X86="mmx sse"
micha@fritz ~ %

Code:
micha@fritz ~ % cat /var/tmp/portage/media-libs/gegl-0.2.0-r5/temp/build.log
+/bin/zsh:3> cat /var/tmp/portage/media-libs/gegl-0.2.0-r5/temp/build.log
 * Package:    media-libs/gegl-0.2.0-r5
 * Repository: gentoo
 * Maintainer: sping@gentoo.org
 * USE:        abi_x86_64 amd64 cairo cpu_flags_x86_mmx cpu_flags_x86_sse elibc_glibc jpeg kernel_linux png sdl svg userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking gegl-0.2.0.tar.bz2 to /var/tmp/portage/media-libs/gegl-0.2.0-r5/work
>>> Source unpacked in /var/tmp/portage/media-libs/gegl-0.2.0-r5/work
>>> Preparing source in /var/tmp/portage/media-libs/gegl-0.2.0-r5/work/gegl-0.2.0 ...
 * Applying gegl-0.2.0-ffmpeg-av_frame_alloc.patch ...                                                                                              [ ok ]
 * Applying gegl-0.2.0-cve-2012-4433-1e92e523.patch ...                                                                                             [ ok ]
 * Applying gegl-0.2.0-cve-2012-4433-4757cdf7.patch ...                                                                                             [ ok ]
 * Applying gegl-0.2.0-introspection-version.patch ...                                                                                              [ ok ]
 * Applying gegl-0.2.0-ffmpeg-0.11.diff ...                                                                                                         [ ok ]
 * Applying gegl-0.2.0-g_log_domain.patch ...                                                                                                       [ ok ]
 * Applying gegl-0.2.0-underlinking.patch ...                                                                                                       [ ok ]
 * Applying gegl-0.2.0-libopenraw-0.1.patch ...                                                                                                     [ ok ]
 * Applying gegl-0.2.0-fix-without-exiv2.patch ...                                                                                                  [ ok ]
 * Running eautoreconf in '/var/tmp/portage/media-libs/gegl-0.2.0-r5/work/gegl-0.2.0' ...
 * Running glib-gettextize --copy --force ...                                                                                                       [ ok ]
 * Running intltoolize --automake --copy --force ...                                                                                                [ ok ]
 * Running gtkdocize --copy ...                                                                                                                     [ ok ]
 * Running libtoolize --install --copy --force --automake ...                                                                                       [ ok ]
 * Running aclocal -I m4 ...                                                                                                                        [ ok ]
 * Running autoconf --force ...                                                                                                                     [ ok ]
 * Running autoheader ...                                                                                                                           [ ok ]
 * Running automake --add-missing --copy --force-missing ...                                                                                        [ ok ]
 * Running elibtoolize in: gegl-0.2.0/
 *   Applying portage/1.2.0 patch ...
 *   Applying sed/1.5.6 patch ...
 *   Applying as-needed/2.4.3 patch ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-libs/gegl-0.2.0-r5/work/gegl-0.2.0 ...
 * econf: updating gegl-0.2.0/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating gegl-0.2.0/config.sub with /usr/share/gnuconfig/config.sub
./configure --prefix=/usr --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --disable-dependency-tracking --disable-silent-rules --docdir=/usr/share/doc/gegl-0.2.0-r5 --htmldir=/usr/share/doc/gegl-0.2.0-r5/html --libdir=/usr/lib64 --disable-silent-rules --disable-profile --without-libspiro --disable-docs --disable-workshop --with-pango --with-gdk-pixbuf --enable-mmx --enable-sse --disable-debug --with-cairo --with-pangocairo --without-exiv2 --without-libavformat --without-graphviz --with-libjpeg --without-jasper --without-lua --without-openexr --with-libpng --without-libopenraw --with-sdl --with-librsvg --without-umfpack --without-libv4l --without-lensfun --disable-introspection --without-vala
checking whether make supports nested variables... yes
checking for a BSD-compatible install... /usr/lib/portage/python3.6/ebuild-helpers/xattr/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... yes
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of x86_64-pc-linux-gnu-gcc... none
checking for x86_64-pc-linux-gnu-g++... x86_64-pc-linux-gnu-g++
checking whether we are using the GNU C++ compiler... yes
checking whether x86_64-pc-linux-gnu-g++ accepts -g... yes
checking dependency style of x86_64-pc-linux-gnu-g++... none
checking whether make sets $(MAKE)... (cached) yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by x86_64-pc-linux-gnu-gcc... /usr/x86_64-pc-linux-gnu/bin/ld
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/x86_64-pc-linux-gnu-nm -B
checking the name lister (/usr/bin/x86_64-pc-linux-gnu-nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/x86_64-pc-linux-gnu/bin/ld option to reload object files... -r
checking for x86_64-pc-linux-gnu-objdump... x86_64-pc-linux-gnu-objdump
checking how to recognize dependent libraries... pass_all
checking for x86_64-pc-linux-gnu-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for x86_64-pc-linux-gnu-ar... x86_64-pc-linux-gnu-ar
checking for archiver @FILE support... @
checking for x86_64-pc-linux-gnu-strip... x86_64-pc-linux-gnu-strip
checking for x86_64-pc-linux-gnu-ranlib... x86_64-pc-linux-gnu-ranlib
checking command to parse /usr/bin/x86_64-pc-linux-gnu-nm -B output from x86_64-pc-linux-gnu-gcc object... ok
checking for sysroot... no
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for x86_64-pc-linux-gnu-mt... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if x86_64-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions... no
checking for x86_64-pc-linux-gnu-gcc option to produce PIC... -fPIC -DPIC
checking if x86_64-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works... yes
checking if x86_64-pc-linux-gnu-gcc static flag -static works... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-gcc linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking for shl_load... no
checking for shl_load in -ldld... no
checking for dlopen... no
checking for dlopen in -ldl... yes
checking whether a program can dlopen itself... yes
checking whether a statically linked program can dlopen itself... no
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking how to run the C++ preprocessor... x86_64-pc-linux-gnu-g++ -E
checking for ld used by x86_64-pc-linux-gnu-g++... /usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) is GNU ld... yes
checking whether the x86_64-pc-linux-gnu-g++ linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking for x86_64-pc-linux-gnu-g++ option to produce PIC... -fPIC -DPIC
checking if x86_64-pc-linux-gnu-g++ PIC flag -fPIC -DPIC works... yes
checking if x86_64-pc-linux-gnu-g++ static flag -static works... yes
checking if x86_64-pc-linux-gnu-g++ supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-g++ supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-g++ linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking dynamic linker characteristics... (cached) GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking for GNUC variadic macros... yes
checking for ISO C99 variadic macros in C... yes
checking for ISO C99 variadic macros in C++... yes
checking whether to turn on debugging... no
checking whether to turn on profiling... no
checking for C/C++ restrict keyword... __restrict
checking for aclocal flags...
checking for target architecture... x86_64-pc-linux-gnu
checking for dynamic library filename suffix... .so
checking for some Darwin platform... no
checking for some Win32 platform... no
checking for native Win32... no
checking to see if compiler understands -mmmx... yes
checking whether we can compile MMX code... yes
checking to see if compiler understands -msse... yes
checking to see if compiler understands -ftree-vectorize... yes
checking to see if compiler understands -ffast-math... yes
checking whether we can compile SSE code... yes
checking for perl5... no
checking for perl... /usr/bin/perl
checking for x86_64-pc-linux-gnu-pkg-config... /usr/bin/x86_64-pc-linux-gnu-pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for gobject-introspection... no (disabled, use --enable-introspection to enable)
checking for fsync... yes
checking for babl >= 0.1.10... yes
checking for x86_64-pc-linux-gnu-pkg-config... (cached) /usr/bin/x86_64-pc-linux-gnu-pkg-config
checking pkg-config is at least version 0.16... yes
checking for GLIB - version >= 2.28.0... yes (version 2.56.4)
checking for glib-2.0 >= 2.28.0 gobject-2.0 gmodule-2.0 gio-2.0... yes
checking for bind_textdomain_codeset... yes
checking whether NLS is requested... yes
checking for intltool >= 0.40.1... 0.51.0 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/gmsgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.26.2
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-libs/gegl-0.2.0-r5/work/gegl-0.2.0/config.log
 * ERROR: media-libs/gegl-0.2.0-r5::gentoo failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *               ebuild.sh, line  124:  Called src_configure
 *             environment, line 2752:  Called econf '--disable-silent-rules' '--disable-profile' '--without-libspiro' '--disable-docs' '--disable-workshop' '--with-pango' '--with-gdk-pixbuf' '--enable-mmx' '--enable-sse' '--disable-debug' '--with-cairo' '--with-pangocairo' '--without-exiv2' '--without-libavformat' '--without-graphviz' '--with-libjpeg' '--without-jasper' '--without-lua' '--without-openexr' '--with-libpng' '--without-libopenraw' '--with-sdl' '--with-librsvg' '--without-umfpack' '--without-libv4l' '--without-lensfun' '--disable-introspection' '--without-vala'
 *        phase-helpers.sh, line  718:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  121:  Called die
 * The specific snippet of code:
 *         die "$@"
 *
 * If you need support, post the output of `emerge --info '=media-libs/gegl-0.2.0-r5::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-libs/gegl-0.2.0-r5::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/media-libs/gegl-0.2.0-r5/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/gegl-0.2.0-r5/temp/environment'.
 * Working directory: '/var/tmp/portage/media-libs/gegl-0.2.0-r5/work/gegl-0.2.0'
 * S: '/var/tmp/portage/media-libs/gegl-0.2.0-r5/work/gegl-0.2.0'
micha@fritz ~ %

Ich entnehme dem Ganzen lediglich, dass ein ebuild fehlerhaft ist. Was kann ich da tun? Die zwei Pakete sind, wenn ich das Folgende richtig deute schon heruntergeladen, können aber nicht installiert werden.
Code:
micha@fritz ~ $ sudo emerge -av media-gfx/gimp

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  NS    ] media-libs/gegl-0.2.0-r5:0::gentoo [0.3.26:0.3::gentoo] USE="cairo jpeg png sdl svg -debug -ffmpeg -jpeg2k -lensfun -libav -openexr -raw -umfpack" CPU_FLAGS_X86="mmx sse" 0 KiB
[ebuild  N     ] media-gfx/gimp-2.8.22-r1:2::gentoo  USE="alsa bzip2 dbus exif jpeg lcms mng pdf png python svg tiff udev -aalib (-altivec) (-aqua) -curl -debug -doc -gnome -jpeg2k -postscript -smp -test -wmf -xpm" CPU_FLAGS_X86="mmx sse" PYTHON_TARGETS="python2_7" 0 KiB

Total: 2 packages (1 new, 1 in new slot), Size of downloads: 0 KiB

Would you like to merge these packages? [Yes/No]

Bitte helft mir auf die Sprünge. Ähnliche Probleme tauchen auch noch bei anderen Anwendungen auf, wie z.B bei Lxterminal. Aber bevor ich das Prinzip dahinter nicht verstanden habe, mache ich nicht weiter, denn ich will ja was lernen!
Wie gesagt, bei meinen Nachforschungen im Netz, bin ich nicht wirklich fündig geworden und nur irgendwelchen Code abzutippen, bringt ja nix.

LG und schönes WE
Micha


Last edited by mptaiko on Sun Jan 13, 2019 12:57 pm; edited 1 time in total
Back to top
View user's profile Send private message
Child_of_Sun_24
Guru
Guru


Joined: 28 Jul 2004
Posts: 471

PostPosted: Sun Jan 13, 2019 9:39 am    Post subject: Reply with quote

Der Fehler passiert öfters das Paket dev-perl/XML-Parser ist nicht installiert, ein "emerge dev-perl/XML-Parser" sollte das Problem beheben.
Back to top
View user's profile Send private message
mptaiko
n00b
n00b


Joined: 05 Jan 2019
Posts: 33

PostPosted: Sun Jan 13, 2019 10:20 am    Post subject: Reply with quote

Danke für die schnelle Antwort, aber das ist installiert
Code:
*  dev-perl/XML-Parser
      Latest version available: 2.440.0
      Latest version installed: 2.440.0
      Size of files: 232 KiB
      Homepage:      https://metacpan.org/release/XML-Parser
      Description:   A Perl extension interface to James Clark's XML parser, expat
      License:       || ( Artistic GPL-1+ )

muss ich den jetzt neu installieren?
Back to top
View user's profile Send private message
mptaiko
n00b
n00b


Joined: 05 Jan 2019
Posts: 33

PostPosted: Sun Jan 13, 2019 10:27 am    Post subject: Reply with quote

Hallo Child of Sun

habs neu installiert und es ging. Woran kann das denn liegen?

LG Micha
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4410

PostPosted: Sun Jan 13, 2019 10:54 am    Post subject: Reply with quote

Das lag am kürzlich aktualisierten dev-lang/perl. Nach so nem update muss man alle alten perl-Module neu bauen/installieren.
Das erledigt perl-cleaner für dich: https://wiki.gentoo.org/wiki/Project:Perl/perl-cleaner
Schau auch hier rein: https://wiki.gentoo.org/wiki/Perl

Leider erwischt dich das jetzt genau zu deiner Anfangszeit. ;)
Back to top
View user's profile Send private message
mptaiko
n00b
n00b


Joined: 05 Jan 2019
Posts: 33

PostPosted: Sun Jan 13, 2019 12:56 pm    Post subject: Reply with quote

Hallo Child of Sun, hallo Franzl,

vielen Dank Euch beiden für die schnelle und kompetente Hilfe.
Meine Installationen laufen jetzt wie ein Länderspiel.

LG und schönes WE

Micha
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4410

PostPosted: Sun Jan 13, 2019 1:28 pm    Post subject: Reply with quote

mptaiko wrote:
Meine Installationen laufen jetzt wie ein Länderspiel.

Wenn du von der deutschen Fußball-Nationalmannschaft sprichst hoffe ich, dass du die ganzen Probleme ohne Neuinstallation lösen kannst... ;)
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3709
Location: Germany

PostPosted: Sun Jan 13, 2019 2:01 pm    Post subject: Reply with quote

Hallo, und willkommen bei Gentoo! :)

mptaiko wrote:
Code:
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool

Das liegt relativ sicher an einem nicht erfolgreichen, bzw nur zum Teil installierten dev-lang/perl Upgrade.
Ein perl Upgrade besteht bei Gentoo aus mehreren Paketen, die jeweils passend in der richtigen Reihenfolge zur installierten Perl Version installiert werden müssen -- dein dev-perl/XML-Parser Paket hat scheinbar noch kein rebuild zur zuvor installierten perl Version erhalten.
Ja, man kann diesen Fehler durch einen manuellen `emerge -av --oneshot dev-perl/XML-Parser` rebuild fixen,
oder das auch vom `perl-cleaner --all` Tool erledigen lassen.
Aber, all das sollte normal beim `emerge -avuDN @world` Update komplett (via Subslot rebuild) automatisch in richtiger Reihenfolge erfolgen. (Hier mal eine Beispiel Ausgabe --> http://dpaste.com/2KFV43Q )
Sprich, entweder ist dein @world Update abgebrochen, und somit nicht vollständig installiert worden, oder du hast versucht nur Teilupdates einzuspielen.
Falls du versucht hast nur Teilupdates einzuspielen - mach das bitte nicht - das wird oft (nicht nur beim perl Upgrade) scheitern.

Mein Vorschlag: Aktualisiere installierte Pakete am besten mit einem `emerge -avuDN @world` Update, bevor du versuchst neue Pakete (wie zb jetzt gimp und deren deps) zu installieren.

Viel Erfolg! :)
Back to top
View user's profile Send private message
Max Steel
Advocate
Advocate


Joined: 12 Feb 2007
Posts: 2065
Location: My own world! I and Gentoo!

PostPosted: Sun Jan 13, 2019 3:17 pm    Post subject: Reply with quote

Deine world-file kannst du btw einsehen und diese solllte wenn möglich keine Abhängigkeiten sondern nur die tatsächlich von dir gewünschten Pakete enthalten, diese ist unter /var/lib/portage/world zu finden.
Der Nachteil wenn da Abhängigkeiten enthalten sind fällt nicht sofort auf. Kann aber ni bestimmten Abhängigkeitsszenarien und diversen Upgrades zu sich gegenseitig blockenden PAketversionen führen da @world alles einbezieht aber evtl durch ein PAket in world eine kleinere Version gefordert wird wie world selected (ohne Angabe einer Version oder eines Slots ist es erstmal die jüngste vorhandene).

Um zu verhindern dass ein Paket beim mergen in die world-file aufgenommen wird reicht es die dem emerge ein -1 oder --oneshot anzuhängen.
_________________
mfg
Steel
___________________
Sorry for my bad English.

Heim-PC: Intel i7-5820K, 32GB RAM, GTX 1080
Laptop: Intel Core i5-4300U, 16GB RAM, Intel Graphic
Arbeit-PC: Intel i5-3470S, 16GB RAM, Intel Graphic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum